## org.apache.bcel.util
Class ClassSet

    java.lang.Object
      org.apache.bcel.util.ClassSet

All Implemented Interfaces:
  Serializable

    public class ClassSet

extends Object
implements Serializable

Utility class implementing a (typesafe) set of JavaClass objects. Since JavaClass has no equals() method, the name of the class is used for comparison.

Version:
  $Id: ClassSet.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `ClassStack`, Serialized Form

Constructor Summary
`ClassSet()`

Method Summary
`boolean` `add(JavaClass clazz)`
`boolean` `empty()`
`String[]` `getClassNames()`
`void` `remove(JavaClass clazz)`
`JavaClass[]` `toArray()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassSet

    public ClassSet()

Method Detail

### add

    public boolean add(JavaClass clazz)

### remove

    public void remove(JavaClass clazz)

### empty

    public boolean empty()

### toArray

    public JavaClass[] toArray()

### getClassNames

    public String[] getClassNames()

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.